Search donations for Zapier
An id selects one donation; otherwise donor/date filters list donations. date_to cannot be earlier than date_from. Requires the corresponding donation primitive scope and donation/report read permission. An ID lookup that finds no record returns200 with data=[] and count=0.
curl --request GET \
--url https://api.gratona.com/v3/zapier/searches/donations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v3/zapier/searches/donations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v3/zapier/searches/donations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v3/zapier/searches/donations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v3/zapier/searches/donations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v3/zapier/searches/donations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v3/zapier/searches/donations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 12345,
"donor_id": 12345,
"designation": 4711,
"method": 1,
"type": "individual",
"one_time": 1,
"donor_name": "example",
"donor_email": "example",
"designation_name": "example",
"currency": "$",
"transaction_status": "completed",
"created_at": "2026-10-20T10:00:00Z",
"updated_at": "2026-10-20T10:00:00Z",
"amount": 25,
"refunded_amount": 0,
"net_amount": 25,
"remaining_refundable_amount": 25,
"individual_transaction_amount": 25,
"payment_transaction_amount": 25,
"combined_transaction_amount": 25,
"batched_individual_amount": 25,
"non_batched_transaction_amount": 25,
"actual_charged_amount": 25,
"batch_donation_id": 12345,
"batch_id": 12345,
"batch_count": 12345,
"is_batched": false,
"has_combined_transaction_amount": false,
"batch_group_id": "example",
"amount_context": "example",
"batch_donation_ids": [
123
],
"processing_fee": 25,
"platform_fee": 25,
"amount_excluding_fee": 25,
"processor_net_amount": 25,
"donor_covered_fee": 25,
"processor_fee_currency": "example",
"processing_fee_known": false
}
],
"count": 1
}{
"success": true,
"data": "<unknown>",
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "Record was not found.",
"details": "<unknown>",
"field": "donor_id",
"messages": [
"<string>"
]
}
],
"warnings": [
"<string>"
],
"meta": "<unknown>"
}{
"message": "Unauthorized",
"status": "error"
}{
"success": false,
"errors": [
{
"code": "INSUFFICIENT_SCOPE",
"message": "Required scope is missing.",
"required_scope": "schema:read",
"available_scopes": [
"<string>"
],
"required_permission_groups": [
[
"<string>"
]
]
}
]
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
Passport bearer token authentication for legacy admin sessions.
Query Parameters
Existing record identifier in the authenticated organization. Validation: nullable|integer.
12345
Donor who owns the gift or commitment. Validation: nullable|integer.
12345
Inclusive gift-date lower bound. Validation: nullable|date_format:Y-m-d.
"2026-10-01"
Inclusive gift-date upper bound, no earlier than date_from. Validation: nullable|date_format:Y-m-d|after_or_equal:date_from.
"2026-10-20"
Maximum search records to return; default25. Validation: nullable|integer|min:1|max:100.
1 <= x <= 10025
curl --request GET \
--url https://api.gratona.com/v3/zapier/searches/donations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v3/zapier/searches/donations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v3/zapier/searches/donations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v3/zapier/searches/donations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v3/zapier/searches/donations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v3/zapier/searches/donations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v3/zapier/searches/donations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 12345,
"donor_id": 12345,
"designation": 4711,
"method": 1,
"type": "individual",
"one_time": 1,
"donor_name": "example",
"donor_email": "example",
"designation_name": "example",
"currency": "$",
"transaction_status": "completed",
"created_at": "2026-10-20T10:00:00Z",
"updated_at": "2026-10-20T10:00:00Z",
"amount": 25,
"refunded_amount": 0,
"net_amount": 25,
"remaining_refundable_amount": 25,
"individual_transaction_amount": 25,
"payment_transaction_amount": 25,
"combined_transaction_amount": 25,
"batched_individual_amount": 25,
"non_batched_transaction_amount": 25,
"actual_charged_amount": 25,
"batch_donation_id": 12345,
"batch_id": 12345,
"batch_count": 12345,
"is_batched": false,
"has_combined_transaction_amount": false,
"batch_group_id": "example",
"amount_context": "example",
"batch_donation_ids": [
123
],
"processing_fee": 25,
"platform_fee": 25,
"amount_excluding_fee": 25,
"processor_net_amount": 25,
"donor_covered_fee": 25,
"processor_fee_currency": "example",
"processing_fee_known": false
}
],
"count": 1
}{
"success": true,
"data": "<unknown>",
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "Record was not found.",
"details": "<unknown>",
"field": "donor_id",
"messages": [
"<string>"
]
}
],
"warnings": [
"<string>"
],
"meta": "<unknown>"
}{
"message": "Unauthorized",
"status": "error"
}{
"success": false,
"errors": [
{
"code": "INSUFFICIENT_SCOPE",
"message": "Required scope is missing.",
"required_scope": "schema:read",
"available_scopes": [
"<string>"
],
"required_permission_groups": [
[
"<string>"
]
]
}
]
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}